# $Revision: 1.7 $, $Date: 2004/12/23 22:43:39 $

%define 	module uid

Summary:	Implementation of a "unique" ID (UID) generator in Python
Summary(pl):	Implementacja generatora unikalnych identyfikatorw (UID) w Pythonie
Name:		python-%{module}
Version:	1.0.2
Release:	2
License:	GPL v2
Group:		Libraries/Python
Source0:	http://www.alcyone.com/software/%{module}/%{module}-%{version}.tar.gz
# Source0-md5:	79868221e3baa21ae189ebcecd1ad9e6
Patch0:		python-uid-first-line-path.patch
URL:		http://www.alcyone.com/software/uid/
BuildRequires:	python
BuildRequires:	python-devel >= 1:2.3
%pyrequires_eq	python-libs
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
An implementation of a "unique" ID (UID) generator in Python. The
implementation does not follow UUID or GUID standards, but rather uses
available system, host, user, shell environment, process, and other
ephemeral information fed into a hasher (by default MD5) to generate
the UID.

The system is designed to be used both as a standalone application and
as a module. The data used to be fed into the hash, as well as the
hashing mechanism itself, can be overridden both through the command
line and programmatically by importing the module.

%description -l pl
Implementacja generatora unikalnych identyfikatorw w Pythonie.
Implementacja nie spenia standardw UUID lub GUID, lecz stara si
uy dostpnych informacji systemowych, komputera, uytkownika,
rodowiska powoki, procesu oraz innych do wygenerowania
identyfikatora (domylnie w postaci MD5).

%package doc
Summary:	Documentation for uid module
Summary(pl):	Dokumentacja do moduu uid
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}

%description doc
This module contains documentation files for uid Python module.

%description doc -l pl
Modu zawierajcy dokumentacj dla moduu Pythona uid.

%prep
%setup -q -n %{module}-%{version}
%patch0 -p0

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{py_sitescriptdir},%{_bindir}}

cp uid.py $RPM_BUILD_ROOT%{py_sitescriptdir}
cp uid.py $RPM_BUILD_ROOT%{_bindir}

%py_comp $RPM_BUILD_ROOT%{py_sitescriptdir}
%py_ocomp $RPM_BUILD_ROOT%{py_sitescriptdir}

find $RPM_BUILD_ROOT%{py_sitescriptdir} -name \*.py -exec rm -f {} \;

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{py_sitescriptdir}/uid.py[oc]
%attr(755,root,root) %{_bindir}/uid.py

%files doc
%defattr(644,root,root,755)
%doc doc/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-uid.spec,v $
Revision 1.7  2004/12/23 22:43:39  saq
- fix {B,}R
- release 2 for rebuild with python 2.4

Revision 1.6  2004/12/15 12:17:17  radek
- minor License unifications

Revision 1.5  2004/11/27 19:01:24  saq
- massive attack: added missing python-devel epoch do BR

Revision 1.4  2004/07/28 08:03:18  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.3  2004/05/27 21:22:25  qboosh
- pl fixes

Revision 1.2  2004/05/27 21:08:40  jpc
- be gpm friendly (no macros in URLs)

Revision 1.1  2004/05/27 19:18:44  zboczuch
- initial
